Skip to main content
`Ctrl`+`K`

# VecTaggerBox

A interval (box for complex numbers) range used to tag values. For real scalars, this is just a closed interval; for complex scalars, the box is the closed region in the complex plane such that real(min) <= real(z) <= real(max) and imag(min) <= imag(z) <= imag(max). `INF` is an acceptable endpoint.

## Synopsis

    typedef struct {
      PetscScalar min;
      PetscScalar max;
    } VecTaggerBox;

## See Also

Vectors and Parallel Data, `Vec`, `VecTagger`, `VecTaggerType`, `VecTaggerCreate()`, `VecTaggerComputeIntervals()`

## Level

beginner

## Location

include/petscvec.h

## Examples

src/ts/tutorials/ex30.c
src/ts/tutorials/ex11.c
src/vec/vec/utils/tagger/tutorials/ex1.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages